(RHSA-2018:3772) Moderate: ansible security and bug fix update

2018-12-04T23:17:34
ID RHSA-2018:3772
Type redhat
Reporter RedHat
Modified 2018-12-04T23:18:30

Description

Ansible is a simple model-driven configuration management, multi-node deployment, and remote-task execution system. Ansible works over SSH and does not require any software or daemons to be installed on remote nodes. Extension modules can be written in any language and are transferred to managed machines automatically.

The following packages have been upgraded to a newer upstream version: ansible (2.7.4)

Security fix(es):

  • ansible: become password logged in plaintext when used with PowerShell on Windows (CVE-2018-16859)

For more details about the security issue(s), including the impact, a CVSS score, and other related information, refer to the CVE page(s) listed in the References section.

Red Hat would like to thank Igor Turovsky for reporting this issue.

Bug Fix(es):

See https://github.com/ansible/ansible/blob/v2.7.4/changelogs/CHANGELOG-v2.7.rst for details on bug fixes in this release.